/* id3attr.h - header file, 13.10.2000
 *
 * id3attr (c) 2000 pinc Software, Axel Drfler (axeld@pinc-software.de)
 *
 * based on id3Attr (c) 1999 Ari Pernick (pernick@uiuc.edu) which is:
 * Based very partially on ID3ren (by Robert Alto (badcrc@tscnet.com)
 * and its BeOS port by Shayne White (shayne@curvedspace.org))
 * Which was based on (c) 1999 Pieter Panman (ppanman@dds.nl)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */
#ifndef ID3ATTR_H
#define ID3ATTR_H

struct id3struct
{
	char tag[4];
	char title[31];
	char artist[31];
	char album[31];
	char year[5];
	char comment[31];
	int genre;
};

struct audio_attrs
{
	char *title;
	char *artist;
	char *album;
	char *comment;
	int32 year;
	char *genre;
	int32 bitrate;
	bigtime_t length;
	float framerate;
};

#endif  /* ID3ATTR_H */
